[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'libtar' (#fcl)

# TTarWriter.AddVolumeHeader

Add volume header entry

## Declaration

Source position: libtar.pp line 204

`public procedure TTarWriter.AddVolumeHeader(`
`VolumeId: AnsiString;`
`DateGmt: TDateTime`
`);`

## Arguments

`VolumeId` |  | Volume name to write
`DateGmt` |  | Timestamp of archive entry

## Description

AddVolumeHeader adds a volume header entry to the archive. The entry is written with name VolumeID and timestamp DateGmt.

The volume header entry is written with the current owner data and permissions.

## See also

TTarWriter.AddFile |  | Add a file to the archive
TTarWriter.AddStream |  | Add stream contents to archive.
TTarWriter.AddSymbolicLink |  | Add a symbolic link to the archive
TTarWriter.AddDir |  | Add directory to archive
TTarWriter.AddString |  | Add string as file data
TTarWriter.AddLink |  | Add hard link to archive

Documentation generated on: Feb 26 2014